Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network239.128.0.0/10
Usable hosts4,194,302
Subnet mask255.192.0.0
Addresses4,194,304
Network address
239.128.0.0
Broadcast address
239.191.255.255
First usable
239.128.0.1
Last usable
239.191.255.254
Usable hosts
4,194,302 (4,194,304 less the network and broadcast addresses)
Subnet mask
255.192.0.0
Wildcard mask
0.63.255.255 (Cisco ACLs, OSPF)
Prefix length
/10
Type
Multicast 224.0.0.0/4
One-to-many traffic, such as IPTV and routing protocols
Old class
D (multicast)
As numbers
Hex EF800000 · Integer 4018143232 to 4022337535
Reverse DNS zones
128.239.in-addr.arpa
129.239.in-addr.arpa
130.239.in-addr.arpa
131.239.in-addr.arpa
132.239.in-addr.arpa
133.239.in-addr.arpa
134.239.in-addr.arpa
135.239.in-addr.arpa
136.239.in-addr.arpa
137.239.in-addr.arpa
138.239.in-addr.arpa
139.239.in-addr.arpa
140.239.in-addr.arpa
141.239.in-addr.arpa
142.239.in-addr.arpa
143.239.in-addr.arpa
and 48 more
/10 is not on a 8-bit boundary, so it takes 64 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11101111.10000000.00000000.00000000239.128.0.0
Subnet mask11111111.11000000.00000000.00000000255.192.0.0
Network11101111.10000000.00000000.00000000239.128.0.0
Broadcast11101111.10111111.11111111.11111111239.191.255.255
Split into smaller subnets/20

239.128.0.0/10 makes 1,024 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1239.128.0.0/20239.128.0.1 to 239.128.15.254239.128.15.2554,094
2239.128.16.0/20239.128.16.1 to 239.128.31.254239.128.31.2554,094
3239.128.32.0/20239.128.32.1 to 239.128.47.254239.128.47.2554,094
4239.128.48.0/20239.128.48.1 to 239.128.63.254239.128.63.2554,094
5239.128.64.0/20239.128.64.1 to 239.128.79.254239.128.79.2554,094
6239.128.80.0/20239.128.80.1 to 239.128.95.254239.128.95.2554,094
7239.128.96.0/20239.128.96.1 to 239.128.111.254239.128.111.2554,094
8239.128.112.0/20239.128.112.1 to 239.128.127.254239.128.127.2554,094
9239.128.128.0/20239.128.128.1 to 239.128.143.254239.128.143.2554,094
10239.128.144.0/20239.128.144.1 to 239.128.159.254239.128.159.2554,094
11239.128.160.0/20239.128.160.1 to 239.128.175.254239.128.175.2554,094
12239.128.176.0/20239.128.176.1 to 239.128.191.254239.128.191.2554,094
13239.128.192.0/20239.128.192.1 to 239.128.207.254239.128.207.2554,094
14239.128.208.0/20239.128.208.1 to 239.128.223.254239.128.223.2554,094
15239.128.224.0/20239.128.224.1 to 239.128.239.254239.128.239.2554,094
16239.128.240.0/20239.128.240.1 to 239.128.255.254239.128.255.2554,094
17239.129.0.0/20239.129.0.1 to 239.129.15.254239.129.15.2554,094
18239.129.16.0/20239.129.16.1 to 239.129.31.254239.129.31.2554,094
19239.129.32.0/20239.129.32.1 to 239.129.47.254239.129.47.2554,094
20239.129.48.0/20239.129.48.1 to 239.129.63.254239.129.63.2554,094
21239.129.64.0/20239.129.64.1 to 239.129.79.254239.129.79.2554,094
22239.129.80.0/20239.129.80.1 to 239.129.95.254239.129.95.2554,094
23239.129.96.0/20239.129.96.1 to 239.129.111.254239.129.111.2554,094
24239.129.112.0/20239.129.112.1 to 239.129.127.254239.129.127.2554,094
25239.129.128.0/20239.129.128.1 to 239.129.143.254239.129.143.2554,094
26239.129.144.0/20239.129.144.1 to 239.129.159.254239.129.159.2554,094
27239.129.160.0/20239.129.160.1 to 239.129.175.254239.129.175.2554,094
28239.129.176.0/20239.129.176.1 to 239.129.191.254239.129.191.2554,094
29239.129.192.0/20239.129.192.1 to 239.129.207.254239.129.207.2554,094
30239.129.208.0/20239.129.208.1 to 239.129.223.254239.129.223.2554,094
31239.129.224.0/20239.129.224.1 to 239.129.239.254239.129.239.2554,094
32239.129.240.0/20239.129.240.1 to 239.129.255.254239.129.255.2554,094
33239.130.0.0/20239.130.0.1 to 239.130.15.254239.130.15.2554,094
34239.130.16.0/20239.130.16.1 to 239.130.31.254239.130.31.2554,094
35239.130.32.0/20239.130.32.1 to 239.130.47.254239.130.47.2554,094
36239.130.48.0/20239.130.48.1 to 239.130.63.254239.130.63.2554,094
37239.130.64.0/20239.130.64.1 to 239.130.79.254239.130.79.2554,094
38239.130.80.0/20239.130.80.1 to 239.130.95.254239.130.95.2554,094
39239.130.96.0/20239.130.96.1 to 239.130.111.254239.130.111.2554,094
40239.130.112.0/20239.130.112.1 to 239.130.127.254239.130.127.2554,094
41239.130.128.0/20239.130.128.1 to 239.130.143.254239.130.143.2554,094
42239.130.144.0/20239.130.144.1 to 239.130.159.254239.130.159.2554,094
43239.130.160.0/20239.130.160.1 to 239.130.175.254239.130.175.2554,094
44239.130.176.0/20239.130.176.1 to 239.130.191.254239.130.191.2554,094
45239.130.192.0/20239.130.192.1 to 239.130.207.254239.130.207.2554,094
46239.130.208.0/20239.130.208.1 to 239.130.223.254239.130.223.2554,094
47239.130.224.0/20239.130.224.1 to 239.130.239.254239.130.239.2554,094
48239.130.240.0/20239.130.240.1 to 239.130.255.254239.130.255.2554,094
49239.131.0.0/20239.131.0.1 to 239.131.15.254239.131.15.2554,094
50239.131.16.0/20239.131.16.1 to 239.131.31.254239.131.31.2554,094
51239.131.32.0/20239.131.32.1 to 239.131.47.254239.131.47.2554,094
52239.131.48.0/20239.131.48.1 to 239.131.63.254239.131.63.2554,094
53239.131.64.0/20239.131.64.1 to 239.131.79.254239.131.79.2554,094
54239.131.80.0/20239.131.80.1 to 239.131.95.254239.131.95.2554,094
55239.131.96.0/20239.131.96.1 to 239.131.111.254239.131.111.2554,094
56239.131.112.0/20239.131.112.1 to 239.131.127.254239.131.127.2554,094
57239.131.128.0/20239.131.128.1 to 239.131.143.254239.131.143.2554,094
58239.131.144.0/20239.131.144.1 to 239.131.159.254239.131.159.2554,094
59239.131.160.0/20239.131.160.1 to 239.131.175.254239.131.175.2554,094
60239.131.176.0/20239.131.176.1 to 239.131.191.254239.131.191.2554,094
61239.131.192.0/20239.131.192.1 to 239.131.207.254239.131.207.2554,094
62239.131.208.0/20239.131.208.1 to 239.131.223.254239.131.223.2554,094
63239.131.224.0/20239.131.224.1 to 239.131.239.254239.131.239.2554,094
64239.131.240.0/20239.131.240.1 to 239.131.255.254239.131.255.2554,094
65239.132.0.0/20239.132.0.1 to 239.132.15.254239.132.15.2554,094
66239.132.16.0/20239.132.16.1 to 239.132.31.254239.132.31.2554,094
67239.132.32.0/20239.132.32.1 to 239.132.47.254239.132.47.2554,094
68239.132.48.0/20239.132.48.1 to 239.132.63.254239.132.63.2554,094
69239.132.64.0/20239.132.64.1 to 239.132.79.254239.132.79.2554,094
70239.132.80.0/20239.132.80.1 to 239.132.95.254239.132.95.2554,094
71239.132.96.0/20239.132.96.1 to 239.132.111.254239.132.111.2554,094
72239.132.112.0/20239.132.112.1 to 239.132.127.254239.132.127.2554,094
73239.132.128.0/20239.132.128.1 to 239.132.143.254239.132.143.2554,094
74239.132.144.0/20239.132.144.1 to 239.132.159.254239.132.159.2554,094
75239.132.160.0/20239.132.160.1 to 239.132.175.254239.132.175.2554,094
76239.132.176.0/20239.132.176.1 to 239.132.191.254239.132.191.2554,094
77239.132.192.0/20239.132.192.1 to 239.132.207.254239.132.207.2554,094
78239.132.208.0/20239.132.208.1 to 239.132.223.254239.132.223.2554,094
79239.132.224.0/20239.132.224.1 to 239.132.239.254239.132.239.2554,094
80239.132.240.0/20239.132.240.1 to 239.132.255.254239.132.255.2554,094
81239.133.0.0/20239.133.0.1 to 239.133.15.254239.133.15.2554,094
82239.133.16.0/20239.133.16.1 to 239.133.31.254239.133.31.2554,094
83239.133.32.0/20239.133.32.1 to 239.133.47.254239.133.47.2554,094
84239.133.48.0/20239.133.48.1 to 239.133.63.254239.133.63.2554,094
85239.133.64.0/20239.133.64.1 to 239.133.79.254239.133.79.2554,094
86239.133.80.0/20239.133.80.1 to 239.133.95.254239.133.95.2554,094
87239.133.96.0/20239.133.96.1 to 239.133.111.254239.133.111.2554,094
88239.133.112.0/20239.133.112.1 to 239.133.127.254239.133.127.2554,094
89239.133.128.0/20239.133.128.1 to 239.133.143.254239.133.143.2554,094
90239.133.144.0/20239.133.144.1 to 239.133.159.254239.133.159.2554,094
91239.133.160.0/20239.133.160.1 to 239.133.175.254239.133.175.2554,094
92239.133.176.0/20239.133.176.1 to 239.133.191.254239.133.191.2554,094
93239.133.192.0/20239.133.192.1 to 239.133.207.254239.133.207.2554,094
94239.133.208.0/20239.133.208.1 to 239.133.223.254239.133.223.2554,094
95239.133.224.0/20239.133.224.1 to 239.133.239.254239.133.239.2554,094
96239.133.240.0/20239.133.240.1 to 239.133.255.254239.133.255.2554,094
97239.134.0.0/20239.134.0.1 to 239.134.15.254239.134.15.2554,094
98239.134.16.0/20239.134.16.1 to 239.134.31.254239.134.31.2554,094
99239.134.32.0/20239.134.32.1 to 239.134.47.254239.134.47.2554,094
100239.134.48.0/20239.134.48.1 to 239.134.63.254239.134.63.2554,094
101239.134.64.0/20239.134.64.1 to 239.134.79.254239.134.79.2554,094
102239.134.80.0/20239.134.80.1 to 239.134.95.254239.134.95.2554,094
103239.134.96.0/20239.134.96.1 to 239.134.111.254239.134.111.2554,094
104239.134.112.0/20239.134.112.1 to 239.134.127.254239.134.127.2554,094
105239.134.128.0/20239.134.128.1 to 239.134.143.254239.134.143.2554,094
106239.134.144.0/20239.134.144.1 to 239.134.159.254239.134.159.2554,094
107239.134.160.0/20239.134.160.1 to 239.134.175.254239.134.175.2554,094
108239.134.176.0/20239.134.176.1 to 239.134.191.254239.134.191.2554,094
109239.134.192.0/20239.134.192.1 to 239.134.207.254239.134.207.2554,094
110239.134.208.0/20239.134.208.1 to 239.134.223.254239.134.223.2554,094
111239.134.224.0/20239.134.224.1 to 239.134.239.254239.134.239.2554,094
112239.134.240.0/20239.134.240.1 to 239.134.255.254239.134.255.2554,094
113239.135.0.0/20239.135.0.1 to 239.135.15.254239.135.15.2554,094
114239.135.16.0/20239.135.16.1 to 239.135.31.254239.135.31.2554,094
115239.135.32.0/20239.135.32.1 to 239.135.47.254239.135.47.2554,094
116239.135.48.0/20239.135.48.1 to 239.135.63.254239.135.63.2554,094
117239.135.64.0/20239.135.64.1 to 239.135.79.254239.135.79.2554,094
118239.135.80.0/20239.135.80.1 to 239.135.95.254239.135.95.2554,094
119239.135.96.0/20239.135.96.1 to 239.135.111.254239.135.111.2554,094
120239.135.112.0/20239.135.112.1 to 239.135.127.254239.135.127.2554,094
121239.135.128.0/20239.135.128.1 to 239.135.143.254239.135.143.2554,094
122239.135.144.0/20239.135.144.1 to 239.135.159.254239.135.159.2554,094
123239.135.160.0/20239.135.160.1 to 239.135.175.254239.135.175.2554,094
124239.135.176.0/20239.135.176.1 to 239.135.191.254239.135.191.2554,094
125239.135.192.0/20239.135.192.1 to 239.135.207.254239.135.207.2554,094
126239.135.208.0/20239.135.208.1 to 239.135.223.254239.135.223.2554,094
127239.135.224.0/20239.135.224.1 to 239.135.239.254239.135.239.2554,094
128239.135.240.0/20239.135.240.1 to 239.135.255.254239.135.255.2554,094
129239.136.0.0/20239.136.0.1 to 239.136.15.254239.136.15.2554,094
130239.136.16.0/20239.136.16.1 to 239.136.31.254239.136.31.2554,094
131239.136.32.0/20239.136.32.1 to 239.136.47.254239.136.47.2554,094
132239.136.48.0/20239.136.48.1 to 239.136.63.254239.136.63.2554,094
133239.136.64.0/20239.136.64.1 to 239.136.79.254239.136.79.2554,094
134239.136.80.0/20239.136.80.1 to 239.136.95.254239.136.95.2554,094
135239.136.96.0/20239.136.96.1 to 239.136.111.254239.136.111.2554,094
136239.136.112.0/20239.136.112.1 to 239.136.127.254239.136.127.2554,094
137239.136.128.0/20239.136.128.1 to 239.136.143.254239.136.143.2554,094
138239.136.144.0/20239.136.144.1 to 239.136.159.254239.136.159.2554,094
139239.136.160.0/20239.136.160.1 to 239.136.175.254239.136.175.2554,094
140239.136.176.0/20239.136.176.1 to 239.136.191.254239.136.191.2554,094
141239.136.192.0/20239.136.192.1 to 239.136.207.254239.136.207.2554,094
142239.136.208.0/20239.136.208.1 to 239.136.223.254239.136.223.2554,094
143239.136.224.0/20239.136.224.1 to 239.136.239.254239.136.239.2554,094
144239.136.240.0/20239.136.240.1 to 239.136.255.254239.136.255.2554,094
145239.137.0.0/20239.137.0.1 to 239.137.15.254239.137.15.2554,094
146239.137.16.0/20239.137.16.1 to 239.137.31.254239.137.31.2554,094
147239.137.32.0/20239.137.32.1 to 239.137.47.254239.137.47.2554,094
148239.137.48.0/20239.137.48.1 to 239.137.63.254239.137.63.2554,094
149239.137.64.0/20239.137.64.1 to 239.137.79.254239.137.79.2554,094
150239.137.80.0/20239.137.80.1 to 239.137.95.254239.137.95.2554,094
151239.137.96.0/20239.137.96.1 to 239.137.111.254239.137.111.2554,094
152239.137.112.0/20239.137.112.1 to 239.137.127.254239.137.127.2554,094
153239.137.128.0/20239.137.128.1 to 239.137.143.254239.137.143.2554,094
154239.137.144.0/20239.137.144.1 to 239.137.159.254239.137.159.2554,094
155239.137.160.0/20239.137.160.1 to 239.137.175.254239.137.175.2554,094
156239.137.176.0/20239.137.176.1 to 239.137.191.254239.137.191.2554,094
157239.137.192.0/20239.137.192.1 to 239.137.207.254239.137.207.2554,094
158239.137.208.0/20239.137.208.1 to 239.137.223.254239.137.223.2554,094
159239.137.224.0/20239.137.224.1 to 239.137.239.254239.137.239.2554,094
160239.137.240.0/20239.137.240.1 to 239.137.255.254239.137.255.2554,094
161239.138.0.0/20239.138.0.1 to 239.138.15.254239.138.15.2554,094
162239.138.16.0/20239.138.16.1 to 239.138.31.254239.138.31.2554,094
163239.138.32.0/20239.138.32.1 to 239.138.47.254239.138.47.2554,094
164239.138.48.0/20239.138.48.1 to 239.138.63.254239.138.63.2554,094
165239.138.64.0/20239.138.64.1 to 239.138.79.254239.138.79.2554,094
166239.138.80.0/20239.138.80.1 to 239.138.95.254239.138.95.2554,094
167239.138.96.0/20239.138.96.1 to 239.138.111.254239.138.111.2554,094
168239.138.112.0/20239.138.112.1 to 239.138.127.254239.138.127.2554,094
169239.138.128.0/20239.138.128.1 to 239.138.143.254239.138.143.2554,094
170239.138.144.0/20239.138.144.1 to 239.138.159.254239.138.159.2554,094
171239.138.160.0/20239.138.160.1 to 239.138.175.254239.138.175.2554,094
172239.138.176.0/20239.138.176.1 to 239.138.191.254239.138.191.2554,094
173239.138.192.0/20239.138.192.1 to 239.138.207.254239.138.207.2554,094
174239.138.208.0/20239.138.208.1 to 239.138.223.254239.138.223.2554,094
175239.138.224.0/20239.138.224.1 to 239.138.239.254239.138.239.2554,094
176239.138.240.0/20239.138.240.1 to 239.138.255.254239.138.255.2554,094
177239.139.0.0/20239.139.0.1 to 239.139.15.254239.139.15.2554,094
178239.139.16.0/20239.139.16.1 to 239.139.31.254239.139.31.2554,094
179239.139.32.0/20239.139.32.1 to 239.139.47.254239.139.47.2554,094
180239.139.48.0/20239.139.48.1 to 239.139.63.254239.139.63.2554,094
181239.139.64.0/20239.139.64.1 to 239.139.79.254239.139.79.2554,094
182239.139.80.0/20239.139.80.1 to 239.139.95.254239.139.95.2554,094
183239.139.96.0/20239.139.96.1 to 239.139.111.254239.139.111.2554,094
184239.139.112.0/20239.139.112.1 to 239.139.127.254239.139.127.2554,094
185239.139.128.0/20239.139.128.1 to 239.139.143.254239.139.143.2554,094
186239.139.144.0/20239.139.144.1 to 239.139.159.254239.139.159.2554,094
187239.139.160.0/20239.139.160.1 to 239.139.175.254239.139.175.2554,094
188239.139.176.0/20239.139.176.1 to 239.139.191.254239.139.191.2554,094
189239.139.192.0/20239.139.192.1 to 239.139.207.254239.139.207.2554,094
190239.139.208.0/20239.139.208.1 to 239.139.223.254239.139.223.2554,094
191239.139.224.0/20239.139.224.1 to 239.139.239.254239.139.239.2554,094
192239.139.240.0/20239.139.240.1 to 239.139.255.254239.139.255.2554,094
193239.140.0.0/20239.140.0.1 to 239.140.15.254239.140.15.2554,094
194239.140.16.0/20239.140.16.1 to 239.140.31.254239.140.31.2554,094
195239.140.32.0/20239.140.32.1 to 239.140.47.254239.140.47.2554,094
196239.140.48.0/20239.140.48.1 to 239.140.63.254239.140.63.2554,094
197239.140.64.0/20239.140.64.1 to 239.140.79.254239.140.79.2554,094
198239.140.80.0/20239.140.80.1 to 239.140.95.254239.140.95.2554,094
199239.140.96.0/20239.140.96.1 to 239.140.111.254239.140.111.2554,094
200239.140.112.0/20239.140.112.1 to 239.140.127.254239.140.127.2554,094
201239.140.128.0/20239.140.128.1 to 239.140.143.254239.140.143.2554,094
202239.140.144.0/20239.140.144.1 to 239.140.159.254239.140.159.2554,094
203239.140.160.0/20239.140.160.1 to 239.140.175.254239.140.175.2554,094
204239.140.176.0/20239.140.176.1 to 239.140.191.254239.140.191.2554,094
205239.140.192.0/20239.140.192.1 to 239.140.207.254239.140.207.2554,094
206239.140.208.0/20239.140.208.1 to 239.140.223.254239.140.223.2554,094
207239.140.224.0/20239.140.224.1 to 239.140.239.254239.140.239.2554,094
208239.140.240.0/20239.140.240.1 to 239.140.255.254239.140.255.2554,094
209239.141.0.0/20239.141.0.1 to 239.141.15.254239.141.15.2554,094
210239.141.16.0/20239.141.16.1 to 239.141.31.254239.141.31.2554,094
211239.141.32.0/20239.141.32.1 to 239.141.47.254239.141.47.2554,094
212239.141.48.0/20239.141.48.1 to 239.141.63.254239.141.63.2554,094
213239.141.64.0/20239.141.64.1 to 239.141.79.254239.141.79.2554,094
214239.141.80.0/20239.141.80.1 to 239.141.95.254239.141.95.2554,094
215239.141.96.0/20239.141.96.1 to 239.141.111.254239.141.111.2554,094
216239.141.112.0/20239.141.112.1 to 239.141.127.254239.141.127.2554,094
217239.141.128.0/20239.141.128.1 to 239.141.143.254239.141.143.2554,094
218239.141.144.0/20239.141.144.1 to 239.141.159.254239.141.159.2554,094
219239.141.160.0/20239.141.160.1 to 239.141.175.254239.141.175.2554,094
220239.141.176.0/20239.141.176.1 to 239.141.191.254239.141.191.2554,094
221239.141.192.0/20239.141.192.1 to 239.141.207.254239.141.207.2554,094
222239.141.208.0/20239.141.208.1 to 239.141.223.254239.141.223.2554,094
223239.141.224.0/20239.141.224.1 to 239.141.239.254239.141.239.2554,094
224239.141.240.0/20239.141.240.1 to 239.141.255.254239.141.255.2554,094
225239.142.0.0/20239.142.0.1 to 239.142.15.254239.142.15.2554,094
226239.142.16.0/20239.142.16.1 to 239.142.31.254239.142.31.2554,094
227239.142.32.0/20239.142.32.1 to 239.142.47.254239.142.47.2554,094
228239.142.48.0/20239.142.48.1 to 239.142.63.254239.142.63.2554,094
229239.142.64.0/20239.142.64.1 to 239.142.79.254239.142.79.2554,094
230239.142.80.0/20239.142.80.1 to 239.142.95.254239.142.95.2554,094
231239.142.96.0/20239.142.96.1 to 239.142.111.254239.142.111.2554,094
232239.142.112.0/20239.142.112.1 to 239.142.127.254239.142.127.2554,094
233239.142.128.0/20239.142.128.1 to 239.142.143.254239.142.143.2554,094
234239.142.144.0/20239.142.144.1 to 239.142.159.254239.142.159.2554,094
235239.142.160.0/20239.142.160.1 to 239.142.175.254239.142.175.2554,094
236239.142.176.0/20239.142.176.1 to 239.142.191.254239.142.191.2554,094
237239.142.192.0/20239.142.192.1 to 239.142.207.254239.142.207.2554,094
238239.142.208.0/20239.142.208.1 to 239.142.223.254239.142.223.2554,094
239239.142.224.0/20239.142.224.1 to 239.142.239.254239.142.239.2554,094
240239.142.240.0/20239.142.240.1 to 239.142.255.254239.142.255.2554,094
241239.143.0.0/20239.143.0.1 to 239.143.15.254239.143.15.2554,094
242239.143.16.0/20239.143.16.1 to 239.143.31.254239.143.31.2554,094
243239.143.32.0/20239.143.32.1 to 239.143.47.254239.143.47.2554,094
244239.143.48.0/20239.143.48.1 to 239.143.63.254239.143.63.2554,094
245239.143.64.0/20239.143.64.1 to 239.143.79.254239.143.79.2554,094
246239.143.80.0/20239.143.80.1 to 239.143.95.254239.143.95.2554,094
247239.143.96.0/20239.143.96.1 to 239.143.111.254239.143.111.2554,094
248239.143.112.0/20239.143.112.1 to 239.143.127.254239.143.127.2554,094
249239.143.128.0/20239.143.128.1 to 239.143.143.254239.143.143.2554,094
250239.143.144.0/20239.143.144.1 to 239.143.159.254239.143.159.2554,094
251239.143.160.0/20239.143.160.1 to 239.143.175.254239.143.175.2554,094
252239.143.176.0/20239.143.176.1 to 239.143.191.254239.143.191.2554,094
253239.143.192.0/20239.143.192.1 to 239.143.207.254239.143.207.2554,094
254239.143.208.0/20239.143.208.1 to 239.143.223.254239.143.223.2554,094
255239.143.224.0/20239.143.224.1 to 239.143.239.254239.143.239.2554,094
256239.143.240.0/20239.143.240.1 to 239.143.255.254239.143.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses